# $Revision: 1.27 $, $Date: 2008/10/10 21:50:04 $
# TODO:
#	separate plugins/*
#	segfault on exit (python: Python/pystate.c:563: PyGILState_Ensure: Assertion `autoInterpreterState' failed)
#
Summary:	A powerful GTK+2 media player
Summary(pl.UTF-8):	Potężny odtwarzacz multimediów oparty na GTK+2
Name:		exaile
Version:	0.2.14
Release:	1
# GPL v2 in COPYING; GPL v1+ in license.txt; Artistic/Perl in lib/wmainfo.py
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.exaile.org/files/%{name}_%{version}.tar.gz
# Source0-md5:	5e569c084134abe13d651f804812b6fa
URL:		http://www.exaile.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python-pygtk-devel >= 2:2.8
Requires:	python-dbus >= 0.71
Requires:	python-gstreamer
Requires:	python-mutagen
Requires:	python-pygtk-glade >= 2:2.8
Requires:	python-sqlite
Requires:	gstreamer-plugins-base >= 0.10
Requires:	gstreamer-plugins-good >= 0.10
Suggests:	brasero
Suggests:	k3b
Suggests:	python-gnome-extras-mozilla
Suggests:	serpentine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for
GTK+2. It incorporates many of the cool things from AmaroK (and other
media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed)
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%description -l pl.UTF-8
Exaile to odtwarzacz multimediów mający być podobny do AmaroKa, ale
dla GTK+2. Łączy wiele dobrych cech AmaroKa (i innych odtwarzaczy
multimediów).

Niektóre możliwości to:
- automatyczne pobieranie okładki albumu
- obsługa dużych bibliotek
- pobieranie tekstów utworów
- informacje o wykonawcy/albumie z wikipedii
- obsługa last.fm
- opcjonalna obsługa iPoda (przy zainstalowanym pakiecie python-gpod)
- wbudowana przeglądarka katalogów shoutcastów
- playlisty z zakładkami
- czarna lista ścieżek
- ściąganie tabulatur gitarowych z fretplay.com
- przesyłanie ścieżek odtworzonych na iPodzie do last.fm

%prep
%setup -q

# there's bigger and newer es.po
rm -f po/es_ES.po
# what's Franco-Provençal?
rm -f po/frp.po
# there's bigger and newer he.po
rm -f po/he_IL.po
# there's bigger and newer it.po
rm -f po/it_IT.po
# there's bigger and newer tr.po
rm -f po/tr_TR.po

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{python_sitearch}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/data
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/images/default_theme
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/{daap-share,didyouknow,httpserver,httpserver/data,icastplugin}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/sql
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/{gui,media,panels,plugins}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec python %{_datadir}/%{name}/exaile.py $@
EOF

install mmkeys.so $RPM_BUILD_ROOT%{python_sitearch}
install exaile.1 $RPM_BUILD_ROOT%{_mandir}/man1
install exaile.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install exaile.glade $RPM_BUILD_ROOT%{_datadir}/%{name}
install equalizer.ini $RPM_BUILD_ROOT%{_datadir}/%{name}
install data/settings_meta.ini $RPM_BUILD_ROOT%{_datadir}/%{name}/data
install lib/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install sql/*.sql $RPM_BUILD_ROOT%{_datadir}/%{name}/sql
install plugins/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
install plugins/daap-share/*.{py,glade} $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/daap-share
install plugins/didyouknow/*.{py,glade} $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/didyouknow
install plugins/httpserver/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/httpserver
install plugins/httpserver/data/*.* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/httpserver/data
install plugins/icastplugin/*.{py,glade} $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/icastplugin
install xl/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/xl
install xl/gui/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/gui
install xl/media/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/media
install xl/panels/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/panels
install xl/plugins/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/plugins
install xl/plugins/*.glade $RPM_BUILD_ROOT%{_datadir}/%{name}/xl/plugins
install images/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/images
install images/default_theme/*.png \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/images/default_theme
install images/largeicon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
install exaile.desktop $RPM_BUILD_ROOT%{_desktopdir}

cd po
for d in */LC_MESSAGES; do
	install -d $RPM_BUILD_ROOT%{_localedir}/$d
	install $d/exaile.mo $RPM_BUILD_ROOT%{_localedir}/$d
done
cd ..

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/exaile.py
%{_datadir}/%{name}/exaile.glade
%attr(755,root,root) %{python_sitearch}/mmkeys.so
%dir %{_datadir}/%{name}/data
%{_datadir}/%{name}/data/settings_meta.ini
%{_datadir}/%{name}/equalizer.ini
%{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*.py
%dir %{_datadir}/%{name}/plugins/daap-share
%{_datadir}/%{name}/plugins/daap-share/*.*
%dir %{_datadir}/%{name}/plugins/didyouknow
%{_datadir}/%{name}/plugins/didyouknow/*.*
%dir %{_datadir}/%{name}/plugins/httpserver
%{_datadir}/%{name}/plugins/httpserver/*.*
%dir %{_datadir}/%{name}/plugins/httpserver/data
%{_datadir}/%{name}/plugins/httpserver/data/*.*
%dir %{_datadir}/%{name}/plugins/icastplugin
%{_datadir}/%{name}/plugins/icastplugin/*.*
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/*.py
%dir %{_datadir}/%{name}/sql
%{_datadir}/%{name}/sql/*.sql
%dir %{_datadir}/%{name}/xl
%{_datadir}/%{name}/xl/*.py
%dir %{_datadir}/%{name}/xl/gui
%{_datadir}/%{name}/xl/gui/*.py
%dir %{_datadir}/%{name}/xl/media
%{_datadir}/%{name}/xl/media/*.py
%dir %{_datadir}/%{name}/xl/panels
%{_datadir}/%{name}/xl/panels/*.py
%dir %{_datadir}/%{name}/xl/plugins
%{_datadir}/%{name}/xl/plugins/*.py
%{_datadir}/%{name}/xl/plugins/plugins.glade
%{_desktopdir}/*.desktop
%{_mandir}/man1/exaile.1*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exaile.spec,v $
Revision 1.27  2008/10/10 21:50:04  qwiat
- up to 0.2.14

Revision 1.26  2008/09/19 23:50:25  qwiat
- valid icon name

Revision 1.25  2008/05/16 13:00:45  dzeus
- up to 0.2.13

Revision 1.24  2008-03-26 16:28:38  qboosh
- python-pygtk epoch

Revision 1.23  2008-03-26 08:11:29  sls
- BR: gettext-devel, intltool

Revision 1.22  2008-03-26 05:47:02  sls
- rel. 1

Revision 1.21  2008-03-26 05:17:34  sls
- actually Suggests: python-gnome-extras-mozilla
- more TODO
- more mess with License

Revision 1.20  2008-03-26 05:01:01  sls
- Suggests: python-gnome-extras
- added TODO

Revision 1.19  2008-03-26 04:38:27  sls
- Suggests: misc-cdburners

Revision 1.18  2008-03-26 04:31:03  sls
- locale fixes

Revision 1.17  2008-03-26 04:28:04  sls
- make install is useless
- remove FHS.patch
- update files section

Revision 1.16  2008-03-25 23:39:43  sls
- more info about License
- removed python-2.5.patch; updated FHS.patch
- fixes in files section

Revision 1.15  2008-03-25 23:19:03  sls
- works with standard setup macro

Revision 1.14  2008-03-25 23:17:38  sls
- ver. 0.2.12 (NFY)

Revision 1.13  2007/03/29 14:13:40  radek
- R: python-pygtk-glade

Revision 1.12  2007/03/03 10:52:40  shadzik
- since when releases start from 2 ?
- rel 1 !

Revision 1.11  2007/03/03 10:40:00  czarny
- up to 0.2.10b

Revision 1.10  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.8  2007/01/09 22:56:22  patrys
- actually fix FHS

Revision 1.7  2007/01/09 09:12:25  sls
- mmkeys.so installed in python_sitearch (FHS.patch fixed)

Revision 1.6  2007/01/09 08:42:51  sls
- 0.2.8
- added FHS.patch
- added R: python-{gstreamer,mutagen,sqlite}
- added dir with plugins

Revision 1.5  2006/11/13 22:26:42  qboosh
- pl, cleanup; needs FHS fix

Revision 1.4  2006/11/12 18:42:14  patrys
- make it work

Revision 1.3  2006/11/12 18:32:17  patrys
- proper R:

Revision 1.2  2006/11/12 18:31:20  patrys
- build and package properly

Revision 1.1  2006/11/09 20:38:31  aredridel
- added, NFY
